from fastapi import FastAPI
from fastapi.middleware.cors import CORSMiddleware # Импортируем middleware
from app.routers import calculation # Импортируем роутер

app = FastAPI(title="Glass Cutting Optimization API")

# --- Настройка CORS ---
# Список разрешенных источников (origins)
# Для разработки можно разрешить все или указать адрес вашего React-приложения
origins = [
    "http://localhost",       # Если React запускается на http://localhost:port
    "http://localhost:3000",  # Стандартный порт для create-react-app
    "http://localhost:5173",  # Стандартный порт для Vite/React
    # "http://127.0.0.1:5173", # Можно добавить и IP-адрес
    # "*" # Разрешить все источники (будьте осторожны в production)
]

app.add_middleware(
    CORSMiddleware,
    allow_origins=origins, # Указываем разрешенные источники
    allow_credentials=True, # Разрешаем куки (если потребуются в будущем)
    allow_methods=["*"],    # Разрешаем все методы (GET, POST, PUT, etc.)
    allow_headers=["*"],    # Разрешаем все заголовки
)
# --- Конец настройки CORS ---


# Подключаем роутер расчетов
app.include_router(calculation.router)

@app.get("/")
async def read_root():
    return {"message": "Welcome to the Glass Cutting Optimization API"}

# Убедимся, что здесь нет подключения auth роутера
# from .routers import calculation # Позже подключим calculation
# app.include_router(calculation.router) 