from sqlalchemy import Column, Integer, String, JSON, Float, DateTime
from sqlalchemy.sql import func
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()

class Calculation(Base):
    __tablename__ = "calculations"

    id = Column(Integer, primary_key=True, index=True)
    input_params = Column(JSON)
    output_results = Column(JSON)
    timestamp = Column(DateTime(timezone=True), server_default=func.now())
    model_name = Column(String, nullable=True)
    objective_score = Column(Float, nullable=True)
    # Удалите эти строки, если они есть:
    # user_id = Column(Integer, ForeignKey("users.id"))
    # user = relationship("User", back_populates="calculations")

# Можно вообще удалить класс User, если он больше не нужен 